#pragma once

class CDES_MODULE
{
public:
	CDES_MODULE();
	~CDES_MODULE();
	static CString _enc(const std::string& plain, const std::string& key = "0");
	static CString _dec(const std::string& cipher, const std::string& key = "0");
	static CString _wenc(const CString& plain, const std::string& key = "0");
	static CString _wdec(const CString& cipher, const std::string& key = "0");
	
	static string CStringTostring(const CString& cstr);

	static char* S2C(const std::string& input);
	static void CHECK_KEYSTONE();
};

